Name: icinga-kubernetes
Version: 0.2.0+0.g14ffcee
Release: 1731680715.fc41
Summary: Icinga for Kubernetes Monitoring Daemon

Group: Productivity/Databases/Daemons

License: AGPLv3+

URL: https://icinga.com
Source0: icinga-kubernetes-0.2.0+0.g14ffcee.tgz
Source1: icinga-kubernetes.service

BuildRequires: gcc
BuildRequires: systemd-rpm-macros

Requires(pre): shadow-utils

%description
Icinga for Kubernetes is a set of components for monitoring and visualizing Kubernetes resources.
This package installs the Icinga for Kubernetes daemon, which uses the Kubernetes API to monitor the configuration and
status changes of Kubernetes resources synchronizing every change in a database.

%define debug_package %{nil}

%prep
%autosetup

%build
go build -buildvcs=false -trimpath -o . ./cmd/...

%install
install -Dpm 0755 icinga-kubernetes %_topdir/BUILD/icinga-kubernetes-0.2.0+0.g14ffcee-build/BUILDROOT/usr/sbin/icinga-kubernetes
install -dm 0750 %_topdir/BUILD/icinga-kubernetes-0.2.0+0.g14ffcee-build/BUILDROOT/etc/icinga-kubernetes
install -pm 0640 config.example.yml %_topdir/BUILD/icinga-kubernetes-0.2.0+0.g14ffcee-build/BUILDROOT/etc/icinga-kubernetes/config.yml
install -Dpm 0644 %_topdir/SOURCES/icinga-kubernetes.service %_topdir/BUILD/icinga-kubernetes-0.2.0+0.g14ffcee-build/BUILDROOT/usr/lib/systemd/system/icinga-kubernetes.service

install -dm 0755 %_topdir/BUILD/icinga-kubernetes-0.2.0+0.g14ffcee-build/BUILDROOT/usr/share/icinga-kubernetes
cp -rv schema %_topdir/BUILD/icinga-kubernetes-0.2.0+0.g14ffcee-build/BUILDROOT/usr/share/icinga-kubernetes/

%pre
getent passwd icinga-kubernetes >/dev/null || useradd -rU -d /etc/icinga-kubernetes -s /sbin/nologin icinga-kubernetes

%post

if [ $1 -eq 1 ] && [ -x "/usr/lib/systemd/systemd-update-helper" ]; then
/usr/lib/systemd/systemd-update-helper install-system-units icinga-kubernetes.service || :
fi

%preun

if [ $1 -eq 0 ] && [ -x "/usr/lib/systemd/systemd-update-helper" ]; then
/usr/lib/systemd/systemd-update-helper remove-system-units icinga-kubernetes.service || :
fi

%postun

if [ $1 -ge 1 ] && [ -x "/usr/lib/systemd/systemd-update-helper" ]; then
/usr/lib/systemd/systemd-update-helper mark-restart-system-units icinga-kubernetes.service || :
fi

%files
%doc README.md
%license LICENSE
/usr/sbin/icinga-kubernetes
/usr/lib/systemd/system/icinga-kubernetes.service
/usr/share/icinga-kubernetes/schema

%attr(-, icinga-kubernetes, root) /etc/icinga-kubernetes
%attr(-, icinga-kubernetes, root) %config(noreplace) /etc/icinga-kubernetes/config.yml

%changelog
* Fri Nov 15 2024 Icinga GmbH <info@icinga.com> - 0.2.0+0.g14ffcee-1731680715.fc41
- Version 0.2.0+0.g14ffcee-1731680715

